# std::subtract_with_carry_engine::operator()

From cppreference.com
< cpp‎ | numeric‎ | random‎ | subtract with carry engine

result_type operator()(); |  | (since C++11)

Generates a pseudo-random value. The state of the engine is advanced by one position.

| This section is incomplete

### Parameters

(none)

### Return value

A pseudo-random number in [min(), max()].

### Complexity

Amortized constant.

### See also

discard | advances the engine's state by a specified amount (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/subtract_with_carry_engine/operator()&oldid=42655"
Category:

- Todo without reason